Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class ProxyInformation

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProxyInformation

public synchronized class ProxyInformation
extends java.lang.Object

Constructor Summary
`ProxyInformation()`

Method Summary
`java.lang.String[]` | `getDontProxyFor()`
`java.lang.String` | `getHttpProxyHost()`
`int` | `getHttpProxyPort()`
`java.lang.String` | `getHttpsProxyHost()`
`int` | `getHttpsProxyPort()`
`java.lang.String` | `getProxyPassword()`
`java.lang.String` | `getProxyRealm()`
`java.lang.String` | `getProxyUser()`
`void` | `setDontProxyFor(java.lang.String)`
`void` | `setHttpProxyHost(java.lang.String)`
`void` | `setHttpProxyPort(java.lang.String)`
`void` | `setHttpsProxyHost(java.lang.String)`
`void` | `setHttpsProxyPort(java.lang.String)`
`void` | `setProxyPassword(java.lang.String)`
`void` | `setProxyRealm(java.lang.String)`
`void` | `setProxyUser(java.lang.String)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyInformation

    public ProxyInformation()

Method Detail

### getHttpProxyHost

    public java.lang.String getHttpProxyHost()

### getHttpsProxyHost

    public java.lang.String getHttpsProxyHost()

### setHttpProxyHost

    public void setHttpProxyHost(java.lang.String)

### setHttpsProxyHost

    public void setHttpsProxyHost(java.lang.String)

### getHttpProxyPort

    public int getHttpProxyPort()

### setHttpProxyPort

    public void setHttpProxyPort(java.lang.String)

### getHttpsProxyPort

    public int getHttpsProxyPort()

### setHttpsProxyPort

    public void setHttpsProxyPort(java.lang.String)

### setProxyUser

    public void setProxyUser(java.lang.String)

### getProxyUser

    public java.lang.String getProxyUser()

### setProxyPassword

    public void setProxyPassword(java.lang.String)

### getProxyPassword

    public java.lang.String getProxyPassword()

### setProxyRealm

    public void setProxyRealm(java.lang.String)

### getProxyRealm

    public java.lang.String getProxyRealm()

### setDontProxyFor

    public void setDontProxyFor(java.lang.String)

### getDontProxyFor

    public java.lang.String[] getDontProxyFor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.